Bug 1031136 - symbolic links for /usr/lib/debug/{lib,lib64,bin,sbin,usr/.dwz} should be owned by the rpm with ghost entries
symbolic links for /usr/lib/debug/{lib,lib64,bin,sbin,usr/.dwz} should be own...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1031550
  Show dependency treegraph
 
Reported: 2013-11-15 12:12 EST by Andrew J. Schorr
Modified: 2014-06-19 17:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1031550 (view as bug list)
Environment:
Last Closed: 2014-06-19 17:16:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew J. Schorr 2013-11-15 12:12:46 EST
Description of problem:
The filesystem rpm creates a number of symbolic links under /usr/lib/debug that it should own:


bash-4.2$ rpm --scripts -q filesystem | grep 'symlink.*debug'
posix.symlink("usr/bin", "/usr/lib/debug/bin")
posix.symlink("usr/lib", "/usr/lib/debug/lib")
posix.symlink("usr/lib64", "/usr/lib/debug/lib64")
posix.symlink("../.dwz", "/usr/lib/debug/usr/.dwz")
posix.symlink("usr/sbin", "/usr/lib/debug/sbin")

bash-4.2$ for i in bin lib lib64 sbin usr/.dwz ; do
> rpm -qf $i
> done
file /usr/lib/debug/bin is not owned by any package
file /usr/lib/debug/lib is not owned by any package
file /usr/lib/debug/lib64 is not owned by any package
file /usr/lib/debug/sbin is not owned by any package
file /usr/lib/debug/usr/.dwz is not owned by any package

The spec file has %ghost entries for /var/lock and /var/run that
are also created by posix.symlink.  Please add %ghost entries for
these symbolic links as well.


Version-Release number of selected component (if applicable):
filesystem-3.2-13.fc19.x86_64


How reproducible:
See above.

Steps to Reproduce:
1. rpm -qf /usr/lib/debug/bin
2.
3.

Actual results:
file /usr/lib/debug/bin is not owned by any package


Expected results:
filesystem-3.2-13.fc19.x86_64


Additional info:
Comment 1 Ondrej Vasik 2013-11-17 17:32:26 EST
Thanks for report, will fix that.
Comment 3 Ondrej Vasik 2014-06-19 17:16:32 EDT
I'll close it rawhide, in the case of filesystem update, it will get update in released fedora's however I don't see this important enough for the separate update.

Note You need to log in before you can comment on or make changes to this bug.